# Class TestResultWrapperConverter

AbstractCollectionConverter
org.apache.jmeter.save.converters.TestResultWrapperConverter

public class TestResultWrapperConverter extends AbstractCollectionConverter
XStream Class to convert TestResultWrapper

## Constructor Summary

Constructors
Constructor
Description
`TestResultWrapperConverter(Mapper arg0)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`canConvert(Class arg0)`
`static String`
`getVersion()`
Returns the converter version; used to check for possible incompatibilities
`void`
`marshal(Object arg0, HierarchicalStreamWriter arg1, MarshallingContext arg2)`
`Object`
`unmarshal(HierarchicalStreamReader reader, UnmarshallingContext context)`
Read test results from JTL files and pass them to the visualiser directly.

## Constructor Details

### TestResultWrapperConverter

public TestResultWrapperConverter(Mapper arg0)

Parameters:
  `arg0` - the
  invalid reference

      Mapper

  to be used

## Method Details

### getVersion

public static String getVersion()
Returns the converter version; used to check for possible incompatibilities

Returns:
  the version of this converter

### canConvert

public boolean canConvert(Class arg0)

### marshal

public void marshal(Object arg0, HierarchicalStreamWriter arg1, MarshallingContext arg2)

### unmarshal

public Object unmarshal(HierarchicalStreamReader reader, UnmarshallingContext context)
Read test results from JTL files and pass them to the visualiser directly. If the ResultCollector helper object is defined, then pass the samples to that rather than adding them to the test result wrapper.

Returns:
  the test result wrapper (may be empty)
See Also:
  - invalid reference

        com.thoughtworks.xstream.converters.Converter#unmarshal(com.thoughtworks.xstream.io.HierarchicalStreamReader, com.thoughtworks.xstream.converters.UnmarshallingContext)